[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'typinfo' (#rtl)

# TVmtFieldTable

Table of field descriptions for a class or record type.

## Declaration

Source position: typinfo.pp line 100

`type TVmtFieldTable = packed record`
`Count: Word;` |  | Number of fields in the table
`ClassTab: Pointer;` |  | Class table
`Fields: array [0..0] of TVmtFieldEntry;` |  | Array of fields. Note that the elements in the table have variable size
`end;`

## Description

TVmtFieldTable describes the fields for which RTTI was generated. A TVmtFieldTable entry is generated by the compiler in the RTI information, it is not something one creates manually. Basically it contains a list of TVmtFieldEntry values.

## See also

TVmtFieldEntry |  | Describe a field of a record/class

Documentation generated on: Feb 26 2014